% rutero test1, tema 4, S2-2013

% primera matriz
A=[10 5 9 4;2 0 7 9;6 8 2 1;5 4 4 4];
cond(A)
% Gram-Schmidt
[Q1,R1] = qrgs(A);
norm(Q1*R1-A)
norm(Q1'*Q1-eye(4))
% qr
[Q2,R2] = qr(A);
norm(Q2*R2-A)
norm(Q2'*Q2-eye(4))

% segunda matriz
A = pascal(10);
cond(A)
% Gram-Schmidt
[Q1,R1] = qrgs(A);
norm(Q1*R1-A)
norm(Q1'*Q1-eye(10))
% qr
[Q2,R2] = qr(A);
norm(Q2*R2-A)
norm(Q2'*Q2-eye(10))
